@media screen and (max-width: 991px) {
  .menu_bar {
    display: block;
    position: relative;
    z-index: 1;
  }

  .menu_bar span {
    width: 30px;
    height: 3px;
    display: block;
    background: var(--subMainColor);
    margin-bottom: 7px;
    transition: all 0.3s cubic-bezier(.68, 1.29, .75, 1.20);
    transform-origin: left;
  }

  .menu_bar span:last-child {
    margin-bottom: 0px;
  }

  .menu_close span:nth-child(1) {
    transform: rotate(40deg);
    background: var(--mainColor);
  }

  .menu_close span:nth-child(2) {
    background: transparent;
  }

  .menu_close span:nth-child(3) {
    transform: rotate(-40deg);
    background: var(--mainColor);
  }

  .menu {
    /*width: 100%;
    height: 100%;*/
    position: fixed;
    inset:0;
    top: 0px;
    left: 100%;
    background: var(--dark70);
    backdrop-filter: blur(5px);
    transition: left .5s cubic-bezier(.73, -0.02, .02, 1);
  }

  .menu_list {
    flex-direction: column;
    margin-top: var(--headerHeight);
    height: -webkit-fill-available;
    overflow-y: scroll;
  }

  .menu_list::-webkit-scrollbar {
    display: none;
  }

  .menu_list li {
    width: 100%;
    text-align: right;
  }

  .menu_list li a {
    color: var(--mainColor);
    font-size: 35px;
    display: block;
    border-radius: 0px;
    padding: 20px;
  }
  .menu_list small{
    font-size: 35px;
  }
  .menu_T-C {
    display: block;
    position: absolute;
    bottom: 20px;
    width: 100%;
    text-align: center;
    left: 0%;
    font-size: 14px;
  }

  .menu_T-C a {
    color: var(--mainColor);
    text-decoration: none;
  }

  .extraBold {
    font-size: 60px;
    line-height: 60px;
  }

  .bannerBox {
    width: 470px;
  }

  /* Styling To Buy Ticket Page */
  .box {
    --maxWidth: 767px;
  }

  .box.padding_zero {
    --paddingZero: 0px 20px;
  }

  .allPassenger .input_box {
    padding-bottom: 10px;
  }

  .receipt {
    position: fixed;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    overflow-y: hidden;
    height: 50px;
    margin-left: 0px;
    z-index: 1;
    background: var(--subMainColor);
    transition: bottom .3s, height .3s, width .3s, max-width .3s;
    overflow-x: hidden;
  }

  .receipt_box {
    transition: all .5s;
    top: unset;
    bottom: 0px;
    height: 80vh;
    max-width: 500px;
    left: 50%;
    transform: translateX(-50%);
  }

  .receipt_foot {
    padding-bottom: 7px;
  }

  .fullView {
    width: 100vw;
    max-width: 100vw;
    height: 100% !important;
    border-radius: 0px;
    bottom: 0px !important;
  }

  .fullView .receipt_box {
    height: 100%;
  }

  .input_box.add_button_box {
    margin-bottom: 60px;
  }

  .allPassenger .input_box.add_button_box {
    margin-bottom: 80px;
  }

  .other_box .input_box {
    margin-top: 20px;
  }

  .other_box .input_box .input {
    width: 100%;
    margin-right: 0px;
  }

  .airline_input {
    margin-bottom: 20px;
  }


  /* Payments Css */
  .container .section {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 50%);
    gap: 20px;
    height: calc(100vh - (var(--headerHeight) + 20px));
  }

  .sourcesBox {
    grid-area: 1/1/-1/2;
    justify-self: end;
  }

  .otherinfo.source,
  .info.source {
    justify-self: start;
    margin: 0px;
    height: 100%;
    max-height: 100%;
  }

  .info.source {
    grid-area: 1/2/2/3;
    max-height: calc(100%);
  }

  .otherinfo.source {
    max-height: calc(100% - 30px);
  }
}




@media screen and (max-width: 767px) {
  :root {
    --mainPadding2: 20px;
  }

  .extraBold {
    font-size: 50px;
    line-height: 50px;
  }

  .bannerBox {
    width: 400px;
  }

  .pricing {
    grid-auto-flow: unset;
    grid-template-columns: 1fr;
    max-width: 400px;
  }
  .menu_T-C {
    font-size: 13px;
  }

  /* buyTicket Styling */
  .box {
    --maxWidth: 600px;
  }

  .flight,
  .hotel,
  .f_h_both {
    width: 100%;
  }

  .route_style {
    width: 100%;
  }

  .route_style span {
    width: 100%;
    text-align: center;
  }

  .input {
    margin-right: 20px;
    width: calc(50% - 10px);
  }

  .passenger .input:nth-of-type(2) {
    width: calc(50% - 70px);
  }

  .passenger .input:nth-of-type(3) {
    width: calc(50% - 70px);
    margin-right: 0px;
  }

  .passenger .input:nth-of-type(4) {
    width: calc(50% - 10px);
  }

  .passenger .input:nth-of-type(5) {
    width: calc(50% - 10px);
    margin-right: 0px;
  }

  /* Payments CSS */
  .otherinfo.source {
    display: none;
  }

  .container .section {
    display: flex;
    height: calc(100vh - var(--headerHeight));
  }

  .info.source {
    position: fixed;
    bottom: 10px;
    height: 50px;
    left: 50%;
    transform: translateX(-50%);
    background: var(--subMainColor);
    padding: 10px;
    box-shadow: 0px 0px 20px var(--dark70);
    transition: .3s all;
    z-index: 1;
  }

  .infoBox {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 12px;
    width: calc(100% - 50px);
    max-width: 500px;
  }

  .infoBox * {
    color: var(--mainColor);
  }

  .lastRaw {
    margin-top: 10px;
  }

  .currency {
    background: var(--mainColor);
    color: var(--subMainColor);
    top: unset;
    bottom: 100%;
  }
  .btnDisable {
    background: var(--subMainColor);
    cursor: pointer;
  }
}


@media screen and (max-width: 550px) {
  .stepButtons {
    padding: 0px;
  }

  .header .header_logo {
    width: 200px;
    height: var(--headerHeight);
  }

  .headWhatsapp {
    width: 25px;
  }

  .headNumber {
    font-size: 14px;
    padding: 10px 5px;
    margin-right: 5px;
  }

  .menu_bar span {
    width: 25px;
    height: 2px;
    margin-bottom: 6px;
  }
  .menu_T-C {
    font-size: 12px;
  }
  
  .footer_info{
    flex-direction: column;
  }
  .direct_info{
    align-items: flex-start;
  }
  .footer_pages{
    padding-left: 25px;
  }
  .footer_info a:after{
    right: 100%;
  }
  
}



@media screen and (max-width: 479px) {
  :root {
    --headerHeight: 60px;
  }

  body {
    background-position: right bottom;
    background-size: 140%;
  }

  .header .header_logo {
    width: 130px;
    height: var(--headerHeight);
    background-size: 100px 50px;
  }

  .logo_text {
    padding-left: 5px;
    font-size: 10px;
  }
  
  .headNumber {
    font-size: 12px;
  }
  .menu_list li a {
    font-size: 25px;
  }

  .banner {
    margin-top: 50px;
  }
  .bg {
    top: -75%;
    right: 50%;
    transform: translateX(50%);
    background-position: bottom center;

}
  .menu_T-C {
    font-size: 10px;
  }

  .extraBold {
    font-size: 40px;
    line-height: 55px;
    text-align: center;
  }

  small.head_small {
    text-align: center;
    font-size: 15px;
    padding-bottom: 20px;
  }

  .bannerBox {
    width: 100%;
    max-width: 362px;
    margin: 0px auto;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .flex_sub_box {
    min-width: 200px;
  }

  .price_box {
    min-width: 200px;
  }

  .question::after {
    left: unset;
    right: 10px;
    width: 20px;
    height: 20px;
  }

  .footer_icon {
    width: 40px;
    height: 40px;
    margin: 10px 5px;
  }

  .footer_icon_box {
    margin-top: 20px;
  }

  .footer_rights {
    font-size: 10px;
  }

  /* buyticket style */
  .receipt {
    width: 70%;
    max-width: 70%;
    min-width: 70%;
  }

  .fullView {
    width: 100vw;
    max-width: 100vw;
    height: 100vh;
    border-radius: 0px;
    bottom: 0px;
  }

  .input_box {
    display: block;
    margin-top: 0px;
  }

  .routeHead,
  .hotelHead,
  .passengerNumber {
    padding: 10px 20px 0px 20px;
  }
  .smallheading{
    font-size: 20px;
  }

  .input {
    margin: 20px 0px;
    width: 100% !important;
  }

  .add_more_route,
  .add_more_hotel {
    bottom: unset;
    position: relative;
  }

  .passenger {
    margin-bottom: 10px;
    margin-top: 0px;
    display: unset;
    width: 100%;
  }

  .passenger .input:nth-of-type(1),
  .passenger .input:nth-of-type(2),
  .passenger .input:nth-of-type(3),
  .passenger .input:nth-of-type(4),
  .passenger .input:nth-of-type(5) {
    width: 100%;
  }

  .allPassenger .input_box {
    display: block;
    padding-bottom: 10px;
  }

  .other_box .input_box,.dateAlert ,.receiveDate{
    width: 100% !important;
  }

  span.route_style_active span,
  span.receivingSourceActive span,
  .route_style span,
  .receivingSource span {
    font-size: 16px;
    padding: 10px;
  }

}

@media screen and (max-width: 400px) {
  .receipt {
    overflow-x: hidden;
  }

  .fullView {
    width: 100vw;
    max-width: 100vw;
    height: 100vh;
    border-radius: 0px;
    bottom: 0px;
  }
}